module.exports = {
  root: true,
  env: {
    node: true,
  },
  extends: [
    "eslint:recommended",
    "plugin:vue/vue3-recommended",
    "plugin:cypress/recommended",
    "@vue/typescript/recommended",
  ],
  // plugin only-warn is a momentarily fix, we need to fix all the warnings from eslint/typescript before we can remove this plugin, because otherwise all warnings are errors
  plugins: ["yaml"],
  rules: {
    "no-console": "off",
    "no-debugger": process.env.NODE_ENV === "production" ? "error" : "off",
    "no-extra-boolean-cast": 0,
    "vue/multi-word-component-names": 0,
    // typescript exempt rules :
    "@typescript-eslint/no-empty-function": "off",
    "@typescript-eslint/no-explicit-any": "off",
    "@typescript-eslint/no-non-null-assertion": "off",
    "vue/max-attributes-per-line": [
      "error",
      {
        singleline: {
          max: 1,
        },
        multiline: {
          max: 1,
        },
      },
    ],
    // Allowing void elements to be self-closed or not since this rule cannot be overwritten in Prettier.
    "vue/html-self-closing": [
      "error",
      {
        html: {
          void: "any",
        },
      },
    ],
  },
};
